%global plugin_name openshift-sync

Summary:    Sync your jobs with OpenShift
Name:       jenkins-plugin-%{plugin_name}
Version:    0.1.24
Release:    1%{?dist}
License:    ASL 2.0
# URL is correct
URL:        https://wiki.jenkins-ci.org/display/JENKINS/Openshift+Sync+Plugin
# AltURL:   https://github.com/jenkinsci/openshift-sync-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.651.2
Requires:   jenkins-plugin-credentials
Requires:   jenkins-plugin-pipeline-rest-api
Requires:   jenkins-plugin-workflow-job
Requires:   jenkins-plugin-workflow-cps
Requires:   jenkins-plugin-kubernetes
Requires:   jenkins-plugin-git-client
Requires:   jenkins-plugin-workflow-api
Requires:   jenkins-plugin-git

%description
This Jenkins plugin keeps OpenShift BuildConfig and 
Build objects in sync With Jenkins Jobs and Builds.


%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Fri Jul 21 2017 Sam Munilla+smunilla@redhat.com - 0.1.24-1
- Update to 0.1.24

* Sun Jul 09 2017 Sam Munilla+smunilla@redhat.com--comment=Update to 0.1.23 - 0.1.23-10
- rebuilt

* Thu Jul 06 2017 root - 0.1.23-1
- Update to 0.1.23

* Tue Jun 27 2017 root - 0.1.22-1
- Update to 0.1.22

* Wed May 10 2017 Troy Dawson <tdawson@redhat.com> - 0.1.14-1
- Update to 0.1.14

* Tue Apr 04 2017 Troy Dawson <tdawson@redhat.com> - 0.1.12-1
- Update to 0.1.12

* Mon Mar 13 2017 Troy Dawson <tdawson@redhat.com> - 0.1.11-1
- Update to 0.1.11

* Thu Mar 09 2017 Troy Dawson <tdawson@redhat.com> - 0.1.10-1
- Update to 0.1.10

* Thu Jan 19 2017 Troy Dawson <tdawson@redhat.com> - 0.1.7-1
- Update to 0.1.7

* Mon Nov 28 2016 Troy Dawson <tdawson@redhat.com> - 0.1.5-1
- Update to 0.1.5

* Mon Nov 28 2016 Troy Dawson <tdawson@redhat.com> - 0.1.4-1
- Update to 0.1.4

* Wed Nov 23 2016 Troy Dawson <tdawson@redhat.com> - 0.1.1-1
- Update to 0.1.1

* Mon Nov 21 2016 Troy Dawson <tdawson@redhat.com> - 0.1.0-1
- Update to 0.1.0

* Fri Nov 11 2016 Troy Dawson <tdawson@redhat.com> - 0.0.17-1
- Update to 0.0.17

* Thu Nov 10 2016 Troy Dawson <tdawson@redhat.com> - 0.0.16-1
- Update to 0.0.16

* Wed Nov 09 2016 Troy Dawson <tdawson@redhat.com> - 0.0.15-1
- Update to 0.0.15

* Mon Oct 31 2016 Troy Dawson <tdawson@redhat.com> - 0.0.14-1
- Update to 0.0.14

* Fri Oct 14 2016 Troy Dawson <tdawson@redhat.com> - 0.0.13-2
- Put in correct hpi

* Fri Sep 30 2016 Troy Dawson <tdawson@redhat.com> - 0.0.13-1
- Update to 0.0.13

* Fri Aug 12 2016 Troy Dawson <tdawson@redhat.com> - 0.0.12-1
- Update to 0.0.12

* Thu Jul 14 2016 Troy Dawson <tdawson@redhat.com> - 0.0.11-1
- Update to 0.0.11

* Wed Jul 13 2016 Troy Dawson <tdawson@redhat.com> - 0.0.10-1
- Update to 0.0.10

* Tue Jun 21 2016 Troy Dawson <tdawson@redhat.com> - 0.0.9-1
- Initial package
